Bug 26153 - Remove the use of jquery.checkboxes plugin from items lost report
Summary: Remove the use of jquery.checkboxes plugin from items lost report
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-05 18:22 UTC by Owen Leonard
Modified: 2020-09-10 03:48 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26153: Remove the use of jquery.checkboxes plugin from items lost report (2.23 KB, patch)
2020-08-05 18:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26153: Remove the use of jquery.checkboxes plugin from items lost report (2.36 KB, patch)
2020-08-18 10:53 UTC, Didier Gautheron
Details | Diff | Splinter Review
Bug 26153: Remove the use of jquery.checkboxes plugin from items lost report (2.42 KB, patch)
2020-08-18 22:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-05 18:22:45 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the items lost report results page.
Comment 1 Owen Leonard 2020-08-05 18:29:55 UTC Comment hidden (obsolete)
Comment 2 Didier Gautheron 2020-08-18 10:53:44 UTC
Created attachment 108442 [details] [review]
Bug 26153: Remove the use of jquery.checkboxes plugin from items lost report

This patch removes the use of the jquery.checkboxes plugin from the
lost items report page and replaces it with custom JS.

To test, apply the patch and go to Reports -> Lost items.

- Run the report with parameters which will return multiple results.
- On the results page Create a CSV export profile if there's none.
- On the results page test the "Select all" and "Clear all"
  links at the top of the results. The controls should work correctly.

Signed-off-by: Didier Gautheron <didier.gautheron@biblibre.com>
Comment 3 Katrin Fischer 2020-08-18 22:13:20 UTC
Created attachment 108564 [details] [review]
Bug 26153: Remove the use of jquery.checkboxes plugin from items lost report

This patch removes the use of the jquery.checkboxes plugin from the
lost items report page and replaces it with custom JS.

To test, apply the patch and go to Reports -> Lost items.

- Run the report with parameters which will return multiple results.
- On the results page Create a CSV export profile if there's none.
- On the results page test the "Select all" and "Clear all"
  links at the top of the results. The controls should work correctly.

Signed-off-by: Didier Gautheron <didier.gautheron@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-19 07:36:31 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 15:54:18 UTC
backported to 20.05.x for 20.05.04
Comment 6 Aleisha Amohia 2020-09-10 03:48:26 UTC
enhancement, not backported to 19.11.x